#include <QtGui>
#include <QFile>
#include <iostream>
#include "todoframe.h"
#include "edittaskdialog.h"
#include "task.h"
#include "todolist.h"

int main(int argc, char *argv[])
{
	//creation de l'application
	QApplication app(argc,argv);
	
	//traduction des boutons standard des qmessageboxs
	QTranslator qtTranslator;  
    qtTranslator.load(  
            "qt_" + QLocale::system().name(),  
            QLibraryInfo::location(QLibraryInfo::TranslationsPath)  
            );  
    app.installTranslator(&qtTranslator);  
	
	//initialisation de la todolist (singleton)
	ToDoList *todolist = ToDoList::getInstance();

	//importation des taches et des tags (fichier xml)
	std::cout << ">> OUVERTURE DU FICHIER XML... \n" << std::endl;
	todolist->openXML();
	
	//affichage de la liste
	std::cout << todolist->toString().toStdString() << std::endl;

	todolist->saveXML();
	
	 
	//creation de la fenettre principale
	ToDoFrame mainFrame;
	
	//affichage de la fenetre
	mainFrame.show();


	return app.exec();
}

