#include "task.h"


Task::Task()
{
		this->priority = 0;
		this->status = 0;
		this->name = QString("No-name");
		this->date_creation = QDate::currentDate();
		this->date_deadline = QDate();
}

Task::Task(QString name)
{
		this->priority = 0;
		this->status = 0;
		this->name = name;
		this->date_creation = QDate::currentDate();
		this->date_deadline = QDate();
}

Task::~Task()
{}

QString Task::getDescription()
{
	return this->description;
}

void Task::setDescription(QString desc)
{
	this->description = desc;
}

QString Task::getPriorityString()
{
	QString res = "Inconnue";
		switch(this->priority)
		{
				case 1 : {
					res = "Haute";	
					break;	
				}
				
				case 2 : {
					 res = "Moyenne";
					 break;
				}
				
				case 3 : {
					 res = "Faible";
					 break;
				}
		}
		
		return res;
}

int Task::getPriority()
{
	return this->priority;
}

void Task::setPriority(int newp)
{
	this->priority = newp;
}

bool Task::isFinished()
{
	return (bool) this->status;
}

void Task::finish()
{
	this->status = 1;
}

void Task::activate()
{
	this->status = 0;
}

QString Task::getName()
{
	return this->name;
}

void Task::setName(QString newname)
{
	this->name = newname;
}

QDate Task::getDeadLine()
{
	return this->date_deadline;
}

QDate Task::getCreateDate()
{
	return this->date_creation;
}

void Task::setCreateDate(QDate create)
{
	 this->date_creation = create;
}

void Task::setDeadLine(QDate dl)
{
	this->date_deadline = dl;
}

QString Task::getDeadLineString()
{
	return this->date_deadline.toString("dd.MM.yyyy");
}


QString Task::getCreateDateString()
{
	return this->date_creation.toString("dd.MM.yyyy");
}

std::vector<QString> Task::getTags()
{
	return this->tags;
}

void Task::addTag(QString newtag)
{
	if(!this->containsTag(newtag))
	{
		this->tags.push_back(newtag);
	}
}

bool Task::containsTag(QString tag)
{
	bool res = FALSE;
	unsigned int i;
	
	for(i = 0; i < this->tags.size() && !res; i++)
	{
		if(this->tags.at(i).compare(tag) == 0)
		{
				res = TRUE;
		}
	}
	return res;
}

bool Task::removeTag(QString tagName)
{
	bool found = false;
	unsigned int i;

	//on recherche l'indice à supprimer
	for(i=0; i < this->tags.size(); i++)
	{
		if(this->tags.at(i) == tagName)
		{
			found = true;
			break;
		}
	}
		
	if(found)
	{
		//suppression locale
		this->tags.erase(this->tags.begin() + i);
	}
	
	return found;
}

void Task::clearTags()
{
	this->tags.clear();
}

QString Task::getTagsString()
{
	QString str;
	unsigned int i;
	
	for(i = 0; i < this->tags.size(); i++)
	{
		if(i>0)
			str += ", ";
		str += this->tags.at(i);
	}
	
	return str;
}

bool Task::equals(Task *t)
{
		if(this->name.toLower() == t->getName().toLower())
		{
			return true;
		}
		
	return false;
}

QString Task::toString()
{
	
	QString res;
	
	res = "Tache :\n";
	res += "> Nom : "+ this->name + "\n";
	res += "> Etat : ";
	
	if(this->status)
		res += "Tache terminée\n";
	else
		res += "Tache en cours\n";
		
	res += "> Priorite : " + this->getPriorityString() + "\n";
	res += "> Echeance : " + this->date_deadline.toString("dd.MM.yyyy") + "\n";
	res += "> Date de création : " + this->date_creation.toString("dd.MM.yyyy") + "\n";
	res += "> Tags : ";
	
	unsigned int i;
	for(i = 0; i < this->tags.size(); i++)
	{
		if(i > 0)
			res += ",";
		
		res += this->tags.at(i);
	}
	res += "\n";
	
	return res;
}
