#ifndef TASK_H
#define TASK_H

#include <QDate>
#include <QString>
#include <vector>
#include <iostream>

class Task
{
	public :
		Task();
		Task(QString name);
		~Task();
		
		QString toString();
		QString getDescription();
		void setDescription(QString desc);
		QString getPriorityString();
		int getPriority();
		void setPriority(int newp);
		bool isFinished();
		void finish();
		void activate();
		QString getName();
		void setName(QString newname);
		QDate getDeadLine();
		QDate getCreateDate();
		QString getDeadLineString();
		QString getCreateDateString();
		void setCreateDate(QDate create);
		void setDeadLine(QDate dl);
		std::vector<QString> getTags();
		QString getTagsString();
		void clearTags();
		void addTag(QString newtag);
		bool removeTag(QString tagName);
		bool containsTag(QString tag);
		bool equals(Task *t);
		
	private : 
		int priority;
		int status;
		QString name;
		QString description;
		QDate date_deadline;
		QDate date_creation;
		std::vector<QString> tags;
};

#endif
