#ifndef TO_DO_LIST_H
#define TO_DO_LIST_H

#include "task.h"
#include <QtGui>

/**
 * Classe contenant et gérant les listes de taches et de tags du systeme
 * 
 * @date 18/04/2012
 * @author Haehnel Jonathan
 * @version 1.0
 */

class ToDoList
{
	public :
		/* Attributs publique */
		static ToDoList* _instance; //sigleton
		
		/* Methode statiques */
		static ToDoList *getInstance();
		
		/* Methode publiques */
		bool openXML();
		bool saveXML();
		QString toString();
		bool containsTask(Task *t);
		bool addTask(Task *t);
		bool removeTask(QString taskName);
		Task* getTask(QString name);
		std::vector<Task*> getTasks();
		std::vector<Task*> getCurrentTasks();
		std::vector<Task*> getFinishedTasks();
		std::vector<QString> getTagsList();
		bool addTag(QString newtag);
		bool containsTag(QString tag);
		bool removeTag(QString tagName);
		int countTasks();
		int countFinishedTasks();
		int countCurrentTasks();
		
		/* Destructeur */
		~ToDoList();
		
	private :
		/* Attributs privées */
		std::vector<Task*> tasks; //liste des taches de l'application
		std::vector<QString> tags; //liste des tags de l'application
		
		/* Constructeur privé */
		ToDoList();
		
		
};

#endif

