#ifndef CREATE_TASK_DIALOG_H
#define CREATE_TASK_DIALOG_H

#include <QtGui>

/**
 * Classe graphique affichant une boite de dialogue personnalisée pour la creation d'une nouvelle tache
 * 
 * @version 1.0
 * @author Haehnel Jonathan
 * @date 18/04/2012
 */
class CreateTaskDialog : public QDialog
{
	Q_OBJECT

	public:
		/* Widgets */
		QTabWidget *editTabWidget;
		QPushButton *cancelButton;
		QPushButton *okButton;
		QLineEdit *nameField;
		QComboBox *priorityCombo;
		QCalendarWidget *deadlineCalendar;
		QListWidget *tagsListWidget;
		QTextEdit *descEditor;

		/* Constructeur et destructeur */
		CreateTaskDialog(QWidget *parent = 0);
		~CreateTaskDialog();
	
	public slots:
		/* Slots */
		void createTask();
		
	private:
		/* Methodes privées */
		void setupUi();
		void initUi();
};

#endif


