#ifndef EDIT_TASK_DIALOG_H
#define EDIT_TASK_DIALOG_H

#include <QtGui/QWidget>
#include <QtGui/QDialog>
#include <QtGui>

/**
 * Classe graphique affichant une boite de dialogue permettant de modifier
 * les informations d'une tache
 * 
 * @version 1.0
 * @author Haehnel Jonathan
 * @date 18/04/2012
 */
class EditTaskDialog : public QDialog
{
	Q_OBJECT

	public:
		/* Widgets */
		QTabWidget *editTabWidget;
		QPushButton *cancelButton;
		QPushButton *okButton;
		QLineEdit *nameField;
		QComboBox *priorityCombo;
		QCalendarWidget *deadlineCalendar;
		QRadioButton *activeRButton;
		QRadioButton *finishedRButton;
		QListWidget *tagsListWidget;
		QTextEdit *descEditor;

		/* Constructeur et destructeur */
		EditTaskDialog(QWidget *parent = 0, QString taskNameId = "");
		~EditTaskDialog();
		
		/* Methodes publiques */
		QString getEditedTaskId();
		void setEditedTaskId(QString nameId);
	
	public slots:
		/* Slots */
		void editTask();
		
	private:
		/* Attributs privées */
		QString taskNameId;
		
		/* Methode privée */
		void setupUi();
		void initUi();
};

#endif

