#ifndef TAGS_EDITOR_DIALOG_H
#define TAGS_EDITOR_DIALOG_H

#include <QtGui>
#include <QList>

/**
 * Classe graphique affichant une boite de dialogue permettant d'ajouter 
 * et de supprimer des tags
 * 
 * @version 1.0
 * @author Haehnel Jonathan
 * @date 21/04/2012
 */
class TagsEditorDialog : public QDialog
{
	Q_OBJECT

	public:
		/* Attributs public */
		QList<QString> tagsToAdd;
		
		/* Widgets */
		QGroupBox *addTagsGb;
		QGroupBox *deleteTagsGb;
		QLineEdit *addTagField;
		QPushButton *addTagButton;
		QListWidget *deleteListBox;
		QPushButton *okButton;
		QPushButton *resetButton;
		QPushButton *cancelButton;
		
		/* Constructeur et destructeur */
		TagsEditorDialog(QWidget *parent = 0);
		~TagsEditorDialog();
		
		
	public slots:
		/* Slots */
		void reset();
		void addTag();
		void changed();
		
	private:
		/* Methodes privees */
		void initUi();
		void setupUi();
		
		
};

#endif

