#ifndef TO_DO_FRAME_H
#define TO_DO_FRAME_H

#include <QtGui/QWidget>
#include <QtGui/QMainWindow>
#include <QtGui>

/**
 * Classe graphique permettant l'affichage de la liste des taches (fenetre principale de l'application)
 * 
 * @version 1.0
 * @author Haehnel Jonathan
 * @date 18/04/2012
 */
class ToDoFrame : public QMainWindow
{
	Q_OBJECT

	public:
		/* Attributs */
		bool notSaved; //permet de savoir si le fichier doit être sauvegarder ou non.
		QList<QString> filtre; //tags utilisé par le filtre
			
		/* Widgets */
		QMenuBar *menuBar;
    	QMenu *menuFichier;
		QMenu *menuEdition;
    	QMenu *menuAide;
		QAction *actionNew;
		QAction *actionSave;
		QAction *actionQuit;
		QAction *actionAddTask;
		QAction *actionEditTask;
		QAction *actionDeleteTask;
		QAction *actionTags;
		QAction *actionFiltre;
		QAction *actionToolbar;
		QAction *actionAbout;
		QToolBar *toolbar;
		QTabWidget *tabWidget;
		QTableWidget *currentTasksList;
		QTableWidget *finishedTasksList;

		/* Constructeur et destructeur */
		ToDoFrame(QWidget *parent = 0);
		~ToDoFrame();
		
	public slots:
		/* Slots */
		void deleteTask();
		void openTaskEditDialog();
		void openTaskCreateDialog();
		void openTagsEditorDialog();
		void openFiltreDialog();
		void showToolbar(bool checked);
		void updateQAction();
		void reset();
		void save();
		void closeEvent(QCloseEvent *event);
		void about();
		
	private:
		/* Methodes privées */
		bool quitDialog();
		void setupUi();
		void repaintTabs();
};

#endif
